Create a secret reference
curl --request POST \
--url https://control.api.niadra.com/v1/secret-refs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"space_id": "0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23",
"ref": "spaces/0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23/webhook/whsec-crm",
"kind": "webhook",
"version": 2
}
'import requests
url = "https://control.api.niadra.com/v1/secret-refs"
payload = {
"space_id": "0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23",
"ref": "spaces/0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23/webhook/whsec-crm",
"kind": "webhook",
"version": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
space_id: '0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23',
ref: 'spaces/0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23/webhook/whsec-crm',
kind: 'webhook',
version: 2
})
};
fetch('https://control.api.niadra.com/v1/secret-refs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"space_id": "0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23",
"ref": "spaces/0192f0a0-3d4e-7f50-8b61-7c8d9e0f1a23/webhook/whsec-crm",
"kind": "webhook",
"version": 2,
"rotated_by": "0192f0a0-4e5f-7061-9c72-8d9e0f1a2b35",
"rotated_at": "2026-09-20T15:30:00Z"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Control: sources and keys
Create a secret reference
Registers the reference of a secret kept in the cell vault.
POST
/
v1
/
secret-refs
Create a secret reference
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
webhook for a webhook signing secret, model for a model credential.
Required string length:
1 - 256The path of the secret in the cell vault, such as spaces/<space_id>/webhook/whsec-crm.
Required string length:
1 - 256Required range:
x >= 1
